package com.jasamedika.medifirst2000.service;


import java.util.Date;
import java.util.Map;

import com.jasamedika.medifirst2000.entities.RegistrasiPelayananPasien;
import com.jasamedika.medifirst2000.vo.RegistrasiPelayananPasienVO;
import com.jasamedika.medifirst2000.vo.RegistrasiSmsVO;

public interface RegistrasiSmsService<T> extends BaseVoService<RegistrasiPelayananPasien, RegistrasiPelayananPasienVO, String> {
	
	Map<String, Object> saveRegistrasiPasienSms(RegistrasiSmsVO vo);
	Map<String,Object> findAllRuangan();
	Map<String,Object> findAllDokter(Integer idRuangan,Date tanggalJadwal);
	Map<String,Object> findAllDokter();
	Map<String, Object> saveRegistrasiPasienSmsKemenkes(RegistrasiSmsVO vo, String tgllahir, String tgldaftar, String kdDokter);
 
}
